//
//  View.swift
//  Touch
//
//  Created by Mark Meretzky on 10/27/17.
//  Copyright © 2017 NYU School of Professional Studies. All rights reserved.
//

import UIKit

class View: UIView {
    
    let littleView: LittleView;
    
    required init(coder aDecoder: NSCoder) {
        let f: CGRect = CGRect(x: 0, y: 0, width: 80, height: 40);
        littleView = LittleView(frame: f);    //call init method of class LittleView
        super.init(coder: aDecoder)!;
        addSubview(littleView);
        backgroundColor = UIColor.white;
    }
    
    override func touchesBegan(_ touches: Set<UITouch>, with event: UIEvent?) {
        assert(touches.count > 0); //make sure we can apply ! to touches.first
        let touch: UITouch = touches.first!;
        let point: CGPoint = touch.location(in: self);
        littleView.center = point;    //Move the littleView to a new location.
    }

    /*
    // Only override draw() if you perform custom drawing.
    // An empty implementation adversely affects performance during animation.
    override func draw(_ rect: CGRect) {
        // Drawing code
    }
    */

}
